curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"use_best_effort": true,
"equity_vol_grids": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"maturities": [
123
],
"reference_date": "2023-11-07T05:31:56Z",
"strikes": [
[
123
]
],
"vols": [
[
123
]
],
"use_spline": false,
"spot_ref": 123,
"asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"use_best_effort": True,
"equity_vol_grids": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": False,
"maturities": [123],
"reference_date": "2023-11-07T05:31:56Z",
"strikes": [[123]],
"vols": [[123]],
"use_spline": False,
"spot_ref": 123,
"asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
use_best_effort: true,
equity_vol_grids: [
{
$type: 'Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core',
provider_id: '<string>',
derivitec_created: '<string>',
derivitec_modified: '<string>',
uploaded_date_time: '<string>',
derivitec_modified_by: '<string>',
uploaded_by: '<string>',
rolled: false,
maturities: [123],
reference_date: '2023-11-07T05:31:56Z',
strikes: [[123]],
vols: [[123]],
use_spline: false,
spot_ref: 123,
asset_id: {
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
}
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'use_best_effort' => true,
'equity_vol_grids' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core',
'provider_id' => '<string>',
'derivitec_created' => '<string>',
'derivitec_modified' => '<string>',
'uploaded_date_time' => '<string>',
'derivitec_modified_by' => '<string>',
'uploaded_by' => '<string>',
'rolled' => false,
'maturities' => [
123
],
'reference_date' => '2023-11-07T05:31:56Z',
'strikes' => [
[
123
]
],
'vols' => [
[
123
]
],
'use_spline' => false,
'spot_ref' => 123,
'asset_id' => [
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"use_best_effort\": true,\n \"equity_vol_grids\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"maturities\": [\n 123\n ],\n \"reference_date\": \"2023-11-07T05:31:56Z\",\n \"strikes\": [\n [\n 123\n ]\n ],\n \"vols\": [\n [\n 123\n ]\n ],\n \"use_spline\": false,\n \"spot_ref\": 123,\n \"asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"use_best_effort\": true,\n \"equity_vol_grids\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"maturities\": [\n 123\n ],\n \"reference_date\": \"2023-11-07T05:31:56Z\",\n \"strikes\": [\n [\n 123\n ]\n ],\n \"vols\": [\n [\n 123\n ]\n ],\n \"use_spline\": false,\n \"spot_ref\": 123,\n \"asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"use_best_effort\": true,\n \"equity_vol_grids\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"maturities\": [\n 123\n ],\n \"reference_date\": \"2023-11-07T05:31:56Z\",\n \"strikes\": [\n [\n 123\n ]\n ],\n \"vols\": [\n [\n 123\n ]\n ],\n \"use_spline\": false,\n \"spot_ref\": 123,\n \"asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
]
}Store strike volatility grids for equities.
Use this operation to publish equity volatility grids to a writable provider. Maturities are positive day
counts, volatility values are positive decimals, and StrikeType accepts Absolute,
PercentSpot, or PercentForward. Supply one strike vector shared by every maturity or one vector
per maturity, with a matching volatility vector; UseSpline defaults to false and SpotRef is an
optional spot override. Required equity market data must be available. UseBestEffort defaults to false;
when true, valid grids can be stored despite other errors. Processing completes before the response is returned.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"use_best_effort": true,
"equity_vol_grids": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"maturities": [
123
],
"reference_date": "2023-11-07T05:31:56Z",
"strikes": [
[
123
]
],
"vols": [
[
123
]
],
"use_spline": false,
"spot_ref": 123,
"asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"use_best_effort": True,
"equity_vol_grids": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": False,
"maturities": [123],
"reference_date": "2023-11-07T05:31:56Z",
"strikes": [[123]],
"vols": [[123]],
"use_spline": False,
"spot_ref": 123,
"asset_id": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
use_best_effort: true,
equity_vol_grids: [
{
$type: 'Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core',
provider_id: '<string>',
derivitec_created: '<string>',
derivitec_modified: '<string>',
uploaded_date_time: '<string>',
derivitec_modified_by: '<string>',
uploaded_by: '<string>',
rolled: false,
maturities: [123],
reference_date: '2023-11-07T05:31:56Z',
strikes: [[123]],
vols: [[123]],
use_spline: false,
spot_ref: 123,
asset_id: {
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
}
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'use_best_effort' => true,
'equity_vol_grids' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core',
'provider_id' => '<string>',
'derivitec_created' => '<string>',
'derivitec_modified' => '<string>',
'uploaded_date_time' => '<string>',
'derivitec_modified_by' => '<string>',
'uploaded_by' => '<string>',
'rolled' => false,
'maturities' => [
123
],
'reference_date' => '2023-11-07T05:31:56Z',
'strikes' => [
[
123
]
],
'vols' => [
[
123
]
],
'use_spline' => false,
'spot_ref' => 123,
'asset_id' => [
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"use_best_effort\": true,\n \"equity_vol_grids\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"maturities\": [\n 123\n ],\n \"reference_date\": \"2023-11-07T05:31:56Z\",\n \"strikes\": [\n [\n 123\n ]\n ],\n \"vols\": [\n [\n 123\n ]\n ],\n \"use_spline\": false,\n \"spot_ref\": 123,\n \"asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"use_best_effort\": true,\n \"equity_vol_grids\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"maturities\": [\n 123\n ],\n \"reference_date\": \"2023-11-07T05:31:56Z\",\n \"strikes\": [\n [\n 123\n ]\n ],\n \"vols\": [\n [\n 123\n ]\n ],\n \"use_spline\": false,\n \"spot_ref\": 123,\n \"asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadEquityVolGrids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"use_best_effort\": true,\n \"equity_vol_grids\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core\",\n \"provider_id\": \"<string>\",\n \"derivitec_created\": \"<string>\",\n \"derivitec_modified\": \"<string>\",\n \"uploaded_date_time\": \"<string>\",\n \"derivitec_modified_by\": \"<string>\",\n \"uploaded_by\": \"<string>\",\n \"rolled\": false,\n \"maturities\": [\n 123\n ],\n \"reference_date\": \"2023-11-07T05:31:56Z\",\n \"strikes\": [\n [\n 123\n ]\n ],\n \"vols\": [\n [\n 123\n ]\n ],\n \"use_spline\": false,\n \"spot_ref\": 123,\n \"asset_id\": {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The upload payload. Provide either ProviderId or MarketDataEnvironmentName, not both; omitting both selects the caller's organisation scope. EquityVolGrids must be non-empty; each grid supplies an equity identifier, date-only reference date, strike convention, maturities, strikes, volatilities, spline choice, and optional spot reference.
Submits equity volatility grids.
Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest, Derivitec.Web.Core Name of the market-data environment to use. Supply either this name or provider_id, not both.
"Example market data"
Opaque identifier of the market-data provider to use. Supply either this identifier or market_data_environment_name, not both.
Requests independent handling of input records when one cannot be processed; defaults to false.
Equity volatility grids to upload.
Show child attributes
Show child attributes
Response
Returns whether volatility surfaces were stored and errors for invalid grids, providers, identifiers, or missing prerequisite market data.
Returns the success flag and error messages from an equity volatility-grid upload.
Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Was this page helpful?